# Gimp.BatchFunc

    function onBatchFunc(procedure: Gimp.Procedure, run_mode: Gimp.RunMode, command: String, config: Gimp.ProcedureConfig): Gimp.ValueArray {
    }

The batch function is run during the lifetime of the GIMP session, each time a plug-in batch procedure is called.

Since 3.0

procedure

  the Gimp.Procedure that runs.

run_mode

  the Gimp.RunMode.

command
config

  the procedure's remaining arguments.

Returns

  the procedure's return values.